{
  config,
  lib,
  ...
}:
let
  cfg = config.kropcloud.networking;
in
{
  options.kropcloud.networking = {
    enable = lib.mkOption {
      type = lib.types.bool;
      description = "Whence to configure networking";
      default = true;
      example = false;
    };
  };
  config = lib.mkIf cfg.enable {
    networking = {
      nftables.enable = true;
      firewall = {
        checkReversePath = "loose";
      };
    };
  };
}
